#!/bin/sh
#
# This script draws the graphs from the databases
#
# Edit the line starting 'for host in' to contain a list of
# identifiers that your clients use.
#
# e.g. If your hosts are 'apple' and 'orange' use
#
#   for host in apple orange

rrdtool=/usr/bin/rrdtool
datadir=/var/spool/eximstate
webdir=/home/services/httpd/html/eximstate/

for host in
do
  echo "Generating graph for $host"
  if [ ! -e "$datadir/$host.rrd" ]
  then
		echo "No RRD database for $host. Skipping"
		continue
	fi
	$rrdtool graph $datadir/$host.png --start -86400 -t "$host mail queue statistics" --vertical-label Messages -l 0 -r DEF:total=$datadir/$host.rrd:total:AVERAGE DEF:frozen=$datadir/$host.rrd:frozen:AVERAGE DEF:bounces=$datadir/$host.rrd:bounces:AVERAGE AREA:total#00cc00:"Total Mails " GPRINT:total:AVERAGE:"%6.2lf %s mails ave" GPRINT:total:MAX:"%6.2lf %s mails max" GPRINT:total:LAST:"%6.2lf %s mails now\\n" LINE2:frozen#0000cc:"Frozen Mails" GPRINT:frozen:AVERAGE:"%6.2lf %s mails ave" GPRINT:frozen:MAX:"%6.2lf %s mails max" GPRINT:frozen:LAST:"%6.2lf %s mails now\\n" LINE2:bounces#cc0000:"Bounce Mails" GPRINT:bounces:AVERAGE:"%6.2lf %s mails ave" GPRINT:bounces:MAX:"%6.2lf %s mails max" GPRINT:bounces:LAST:"%6.2lf %s mails now\\n"
  if [ -e "$datadir/$host.png" ]
  then
    echo "Copying graph for $host to web document directory"
    cp $datadir/$host.png $webdir
  fi
done
